Index: trunk/geant4/visualization/OpenInventor/src/SoTrd.cc
===================================================================
--- trunk/geant4/visualization/OpenInventor/src/SoTrd.cc	(revision 592)
+++ trunk/geant4/visualization/OpenInventor/src/SoTrd.cc	(revision 593)
@@ -27,5 +27,5 @@
 //
 // $Id: SoTrd.cc,v 1.8 2006/06/29 21:23:05 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 /*-----------------------------HEPVis---------------------------------------*/
Index: trunk/geant4/visualization/OpenInventor/src/SoTubs.cc
===================================================================
--- trunk/geant4/visualization/OpenInventor/src/SoTubs.cc	(revision 592)
+++ trunk/geant4/visualization/OpenInventor/src/SoTubs.cc	(revision 593)
@@ -27,5 +27,5 @@
 //
 // $Id: SoTubs.cc,v 1.8 2006/06/29 21:23:07 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 /*-----------------------------HEPVis---------------------------------------*/
Index: trunk/geant4/visualization/management/History
===================================================================
--- trunk/geant4/visualization/management/History	(revision 592)
+++ trunk/geant4/visualization/management/History	(revision 593)
@@ -1,3 +1,3 @@
-$Id: History,v 1.90 2006/12/12 11:51:13 gcosmo Exp $
+$Id: History,v 1.101 2007/07/10 17:52:25 allison Exp $
 
 -------------------------------------------------------------------
@@ -26,4 +26,56 @@
 History file for visualization management sub-category
 ------------------------------------------------------
+
+10th July 2007  John Allison  (visman-V09-00-00)
+- Remove redundant method declarations in G4VisManager.hh.
+- Reinstate refesh after "/vis/viewer/set/autoRefresh true".
+
+-25th May 2007  John Allison  (visman-V08-03-01)
+ Improved error trapping in viewer initialisation.
+- Bug fix in /vis/scene/notifyHandlers for case of no current viewer.
+
+16th May 2007  John Allison  (visman-V08-03-00)
+- G4VSceneHandler.cc: Added #include "G4AttDef.hh" to help buggy
+  Windows compiler(!).
+
+4th April 2007  John Allison  (visman-V08-02-04)
+- G4VSceneHandler.cc: Bug fix for zero vis atts in LoadAtts.
+
+3rd April 2007  John Allison  (visman-V08-02-03)
+- Added /vis/viewer/set/picking.  Picking is false by default, except
+  for OpenInventor.
+
+25th March 2007  John Allison  (visman-V08-02-02)
+- G4VisExecutive.icc: Removed G4GAGTree.
+- G4VisCommandsCompound.cc: Removed /vis/scene/add/eventID, once
+  again, from /vis/drawVolume.
+- G4VisCommands.cc: Improved messages for /vis/abortReviewKeptEvents.
+- G4VisManager.cc, G4VSceneHandler.cc: Cosmetic.
+
+11th January 2007  John Allison  (visman-V08-02-01)
+- Added /vis/abortReviewKeptEvents.
+- /vis/reviewKeptEvents: Improved guidance.
+- Bug fix: /vis/open in /vis/reviewKeptEvents loop.
+  o Moved fpRequestedEvent from G4VSceneHandler to G4VisManager.
+- Reduced WARNING noise.
+
+5th January 2007  John Allison  (visman-V08-02-00)
+- G4VSceneHandler:
+  o Introduced LoadAtts (from G4OpenInventorSceneHandler, but now
+    available to all scene handlers).  Loads G4AttValues and G4AttDefs
+    onto any object that inherits G4AttHolder.
+  o Change signature of GetLineWidth from G4Visible& to
+    G4VisAttributes* for consistency with similar utility functions.
+    (Only used by OpenGL at present; requires opengl-V08-02-00.)
+  o GetLineSegmentsPerCircle: protected against null vis atts pointer.
+- G4VisCommandsGeometrySet and G4VisManager.cc:
+  o Introduced /vis/geometry/set/forceLineSegmentsPerCircle
+    (inadvertently omitted in previous release).
+  o Improved guidance.
+- G4VisCommandsGeometry.cc: Invoke /vis/viewer/rebuild only if viewer current.
+- G4VViewer.cc: Improved comment.
+- G4VisCommandsCompound.cc:
+  o Re-introduced /vis/scene/add/eventID into /vis/drawVolume.
+- G4VisCommandsViewer.cc: Improve guidance for /vis/viewer/addCutawayPlane.
 
 12th December 2006  Gabriele Cosmo  (visman-V08-01-16)
Index: trunk/geant4/visualization/management/include/G4GraphicsSystemList.hh
===================================================================
--- trunk/geant4/visualization/management/include/G4GraphicsSystemList.hh	(revision 592)
+++ trunk/geant4/visualization/management/include/G4GraphicsSystemList.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4GraphicsSystemList.hh,v 1.9 2006/06/29 21:27:54 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
Index: trunk/geant4/visualization/management/include/G4Scene.hh
===================================================================
--- trunk/geant4/visualization/management/include/G4Scene.hh	(revision 592)
+++ trunk/geant4/visualization/management/include/G4Scene.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Scene.hh,v 1.18 2006/11/14 14:59:54 allison Exp $
-// GEANT4 tag $Name: geant4-08-02-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
Index: trunk/geant4/visualization/management/include/G4Scene.icc
===================================================================
--- trunk/geant4/visualization/management/include/G4Scene.icc	(revision 592)
+++ trunk/geant4/visualization/management/include/G4Scene.icc	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Scene.icc,v 1.14 2006/11/14 14:59:54 allison Exp $
-// GEANT4 tag $Name: geant4-08-02-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
Index: trunk/geant4/visualization/management/include/G4SceneHandlerList.hh
===================================================================
--- trunk/geant4/visualization/management/include/G4SceneHandlerList.hh	(revision 592)
+++ trunk/geant4/visualization/management/include/G4SceneHandlerList.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4SceneHandlerList.hh,v 1.8 2006/06/29 21:28:00 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
Index: trunk/geant4/visualization/management/include/G4SceneList.hh
===================================================================
--- trunk/geant4/visualization/management/include/G4SceneList.hh	(revision 592)
+++ trunk/geant4/visualization/management/include/G4SceneList.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4SceneList.hh,v 1.10 2006/06/29 21:28:02 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
Index: trunk/geant4/visualization/management/include/G4VGraphicsSystem.hh
===================================================================
--- trunk/geant4/visualization/management/include/G4VGraphicsSystem.hh	(revision 592)
+++ trunk/geant4/visualization/management/include/G4VGraphicsSystem.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VGraphicsSystem.hh,v 1.11 2006/06/29 21:28:04 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
Index: trunk/geant4/visualization/management/include/G4VGraphicsSystem.icc
===================================================================
--- trunk/geant4/visualization/management/include/G4VGraphicsSystem.icc	(revision 592)
+++ trunk/geant4/visualization/management/include/G4VGraphicsSystem.icc	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VGraphicsSystem.icc,v 1.7 2006/06/29 21:28:06 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
Index: trunk/geant4/visualization/management/include/G4VSceneHandler.hh
===================================================================
--- trunk/geant4/visualization/management/include/G4VSceneHandler.hh	(revision 592)
+++ trunk/geant4/visualization/management/include/G4VSceneHandler.hh	(revision 593)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4VSceneHandler.hh,v 1.37 2006/11/15 19:25:31 allison Exp $
-// GEANT4 tag $Name: geant4-08-02-patch-01 $
+// $Id: G4VSceneHandler.hh,v 1.39 2007/01/11 16:38:14 allison Exp $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
@@ -59,4 +59,5 @@
 class G4Material;
 class G4Event;
+class G4AttHolder;
 
 class G4VSceneHandler: public G4VGraphicsScene {
@@ -217,8 +218,4 @@
   void          SetTransientsDrawnThisRun        (G4bool);
   // Maintained by vis manager.
-  void          SetEvent         (const G4Event*);
-  // If non-zero, this event is used in ProcessScene.  Otherwise, the
-  // current event, or last event(s) are used.  The user must
-  // SetEvent(0) when finished.
 
   //////////////////////////////////////////////////////////////
@@ -233,7 +230,6 @@
   // Returns colour of G4Text object, or default text colour.
 
-  G4double GetLineWidth(const G4Visible& visible);
-  // Returns line width of G4Visible object, or default line width.
-  // Multiplies by GlobalLineWidthScale.
+  G4double GetLineWidth(const G4VisAttributes*);
+  // Returns line width of G4VisAttributes multiplied by GlobalLineWidthScale.
 
   G4ViewParameters::DrawingStyle GetDrawingStyle (const G4VisAttributes*);
@@ -247,5 +243,5 @@
   // over-riding the current view parameter.
 
-  G4int GetNoOfSides(const G4VisAttributes* pVisAttribs);
+  G4int GetNoOfSides(const G4VisAttributes*);
   // Returns no. of sides (lines segments per circle) from current
   // view parameters, unless the user has forced through the vis
@@ -314,4 +310,13 @@
   // implemented in this class.  Subclasses that implement their own
   // clipping should provide an override that returns zero.
+  void LoadAtts(const G4Visible&, G4AttHolder*);
+  // Load G4AttValues and G4AttDefs associated with the G4Visible
+  // object onto the G4AttHolder object.  It checks fpModel, and also
+  // loads the G4AttValues and G4AttDefs from G4PhysicalVolumeModel,
+  // G4VTrajectory, G4VTrajectoryPoint, or G4VHits, as appropriate.
+  // The G4AttHolder object is an object of a class that publicly
+  // inherits G4AttHolder - see, e.g., SoG4Polyhedron in the Open
+  // Inventor driver.  G4AttHolder deletes G4AttValues in its
+  // destructor to ensure proper clean-up of G4AttValues.
 
   //////////////////////////////////////////////////////////////
@@ -338,5 +343,4 @@
   G4int              fNestingDepth; // For Begin/EndPrimitives.
   const G4VisAttributes* fpVisAttribs;  // Working vis attributes.
-  const G4Event* fRequestedEvent;   // If non-zero, use this event.
   const G4Transform3D fIdentityTransformation;
 
Index: trunk/geant4/visualization/management/include/G4VSceneHandler.icc
===================================================================
--- trunk/geant4/visualization/management/include/G4VSceneHandler.icc	(revision 592)
+++ trunk/geant4/visualization/management/include/G4VSceneHandler.icc	(revision 593)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4VSceneHandler.icc,v 1.18 2006/11/15 19:25:31 allison Exp $
-// GEANT4 tag $Name: geant4-08-02-patch-01 $
+// $Id: G4VSceneHandler.icc,v 1.20 2007/01/11 16:38:14 allison Exp $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
@@ -124,7 +124,4 @@
 }
 
-inline void G4VSceneHandler::SetEvent (const G4Event* event) {
-  fRequestedEvent = event;
-}
 inline const G4Colour& G4VSceneHandler::GetColor (const G4Visible& visible) {
   return GetColour (visible);
Index: trunk/geant4/visualization/management/include/G4VUserVisAction.hh
===================================================================
--- trunk/geant4/visualization/management/include/G4VUserVisAction.hh	(revision 592)
+++ trunk/geant4/visualization/management/include/G4VUserVisAction.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VUserVisAction.hh,v 1.8 2006/06/29 21:28:12 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
Index: trunk/geant4/visualization/management/include/G4VViewer.hh
===================================================================
--- trunk/geant4/visualization/management/include/G4VViewer.hh	(revision 592)
+++ trunk/geant4/visualization/management/include/G4VViewer.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VViewer.hh,v 1.18 2006/06/29 21:28:14 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
Index: trunk/geant4/visualization/management/include/G4VViewer.icc
===================================================================
--- trunk/geant4/visualization/management/include/G4VViewer.icc	(revision 592)
+++ trunk/geant4/visualization/management/include/G4VViewer.icc	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VViewer.icc,v 1.11 2006/06/29 21:28:16 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
Index: trunk/geant4/visualization/management/include/G4VVisCommand.hh
===================================================================
--- trunk/geant4/visualization/management/include/G4VVisCommand.hh	(revision 592)
+++ trunk/geant4/visualization/management/include/G4VVisCommand.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VVisCommand.hh,v 1.18 2006/06/29 21:28:18 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 
 // Base class for visualization commands - John Allison  9th August 1998
Index: trunk/geant4/visualization/management/include/G4VVisCommand.icc
===================================================================
--- trunk/geant4/visualization/management/include/G4VVisCommand.icc	(revision 592)
+++ trunk/geant4/visualization/management/include/G4VVisCommand.icc	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VVisCommand.icc,v 1.5 2006/06/29 21:28:20 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 
 // Base class for visualization commands - John Allison  9th August 1998
Index: trunk/geant4/visualization/management/include/G4ViewParameters.hh
===================================================================
--- trunk/geant4/visualization/management/include/G4ViewParameters.hh	(revision 592)
+++ trunk/geant4/visualization/management/include/G4ViewParameters.hh	(revision 593)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4ViewParameters.hh,v 1.25 2006/09/19 16:02:31 allison Exp $
-// GEANT4 tag $Name: geant4-08-02-patch-01 $
+// $Id: G4ViewParameters.hh,v 1.26 2007/04/03 13:33:16 allison Exp $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
@@ -161,4 +161,5 @@
         G4bool           IsAutoRefresh           () const;
   const G4Colour&        GetBackgroundColour     () const;
+        G4bool           IsPicking               () const;
 
   // Here Follow functions to evaluate the above algorithms as a
@@ -221,4 +222,5 @@
   void SetAutoRefresh          (G4bool);
   void SetBackgroundColour     (const G4Colour&);
+  void SetPicking              (G4bool);
 
   void PrintDifferences (const G4ViewParameters& v) const;
@@ -268,4 +270,5 @@
   G4bool       fAutoRefresh;     // ...after change of view parameters.
   G4Colour     fBackgroundColour;
+  G4bool       fPicking;         // Request picking.
 };
 
Index: trunk/geant4/visualization/management/include/G4ViewParameters.icc
===================================================================
--- trunk/geant4/visualization/management/include/G4ViewParameters.icc	(revision 592)
+++ trunk/geant4/visualization/management/include/G4ViewParameters.icc	(revision 593)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4ViewParameters.icc,v 1.15 2006/09/19 16:02:31 allison Exp $
-// GEANT4 tag $Name: geant4-08-02-patch-01 $
+// $Id: G4ViewParameters.icc,v 1.16 2007/04/03 13:33:16 allison Exp $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
@@ -182,4 +182,8 @@
 }
 
+inline G4bool G4ViewParameters::IsPicking () const {
+  return fPicking;
+}
+
 inline void
 G4ViewParameters::SetDrawingStyle (G4ViewParameters::DrawingStyle style) {
@@ -335,2 +339,6 @@
   fBackgroundColour = colour;
 }
+
+inline void G4ViewParameters::SetPicking (G4bool picking) {
+  fPicking = picking;
+}
Index: trunk/geant4/visualization/management/include/G4ViewerList.hh
===================================================================
--- trunk/geant4/visualization/management/include/G4ViewerList.hh	(revision 592)
+++ trunk/geant4/visualization/management/include/G4ViewerList.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ViewerList.hh,v 1.8 2006/06/29 21:28:26 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
Index: trunk/geant4/visualization/management/include/G4VisCommandModelCreate.hh
===================================================================
--- trunk/geant4/visualization/management/include/G4VisCommandModelCreate.hh	(revision 592)
+++ trunk/geant4/visualization/management/include/G4VisCommandModelCreate.hh	(revision 593)
@@ -25,5 +25,5 @@
 //
 // $Id: G4VisCommandModelCreate.hh,v 1.3 2006/06/29 21:28:28 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // Jane Tinslay, John Allison, Joseph Perl October 2005
Index: trunk/geant4/visualization/management/include/G4VisCommands.hh
===================================================================
--- trunk/geant4/visualization/management/include/G4VisCommands.hh	(revision 592)
+++ trunk/geant4/visualization/management/include/G4VisCommands.hh	(revision 593)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4VisCommands.hh,v 1.6 2006/11/14 14:59:54 allison Exp $
-// GEANT4 tag $Name: geant4-08-02-patch-01 $
+// $Id: G4VisCommands.hh,v 1.7 2007/01/11 16:39:33 allison Exp $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 
 // /vis/ top level commands - John Allison  5th February 2001
@@ -38,4 +38,16 @@
 class G4UIcmdWithAString;
 class G4UIcmdWithoutParameter;
+
+class G4VisCommandAbortReviewKeptEvents: public G4VVisCommand {
+public:
+  G4VisCommandAbortReviewKeptEvents ();
+  virtual ~G4VisCommandAbortReviewKeptEvents ();
+  G4String GetCurrentValue (G4UIcommand* command);
+  void SetNewValue (G4UIcommand* command, G4String newValue);
+private:
+  G4VisCommandAbortReviewKeptEvents (const G4VisCommandAbortReviewKeptEvents&);
+  G4VisCommandAbortReviewKeptEvents& operator = (const G4VisCommandAbortReviewKeptEvents&);
+  G4UIcmdWithABool* fpCommand;
+};
 
 class G4VisCommandEnable: public G4VVisCommand {
Index: trunk/geant4/visualization/management/include/G4VisCommandsCompound.hh
===================================================================
--- trunk/geant4/visualization/management/include/G4VisCommandsCompound.hh	(revision 592)
+++ trunk/geant4/visualization/management/include/G4VisCommandsCompound.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VisCommandsCompound.hh,v 1.9 2006/06/29 21:28:32 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 
 // Compound /vis/ commands - John Allison  15th May 2000
Index: trunk/geant4/visualization/management/include/G4VisCommandsGeometry.hh
===================================================================
--- trunk/geant4/visualization/management/include/G4VisCommandsGeometry.hh	(revision 592)
+++ trunk/geant4/visualization/management/include/G4VisCommandsGeometry.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VisCommandsGeometry.hh,v 1.3 2006/06/29 21:28:34 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 
 // /vis/geometry commands - John Allison  31st January 2006
Index: trunk/geant4/visualization/management/include/G4VisCommandsGeometrySet.hh
===================================================================
--- trunk/geant4/visualization/management/include/G4VisCommandsGeometrySet.hh	(revision 592)
+++ trunk/geant4/visualization/management/include/G4VisCommandsGeometrySet.hh	(revision 593)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4VisCommandsGeometrySet.hh,v 1.2 2006/06/29 21:28:36 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// $Id: G4VisCommandsGeometrySet.hh,v 1.3 2007/01/05 16:24:19 allison Exp $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 
 // /vis/geometry commands - John Allison  31st January 2006
@@ -80,4 +80,17 @@
 private:
   G4bool fForceAuxEdgeVisible;
+};
+
+class G4VisCommandGeometrySetForceLineSegmentsPerCircleFunction:
+  public G4VVisCommandGeometrySetFunction {
+public:
+  G4VisCommandGeometrySetForceLineSegmentsPerCircleFunction
+  (G4int lineSegmentsPerCircle):
+    fLineSegmentsPerCircle(lineSegmentsPerCircle) {}
+  void operator()
+    (G4VisAttributes* visAtts) const
+  {visAtts->SetForceLineSegmentsPerCircle(fLineSegmentsPerCircle);}
+private:
+  G4int fLineSegmentsPerCircle;
 };
 
@@ -212,4 +225,19 @@
 };
 
+class G4VisCommandGeometrySetForceLineSegmentsPerCircle:
+  public G4VVisCommandGeometrySet {
+public:
+  G4VisCommandGeometrySetForceLineSegmentsPerCircle ();
+  virtual ~G4VisCommandGeometrySetForceLineSegmentsPerCircle ();
+  G4String GetCurrentValue (G4UIcommand* command);
+  void SetNewValue (G4UIcommand* command, G4String newValue);
+private:
+  G4VisCommandGeometrySetForceLineSegmentsPerCircle
+  (const G4VisCommandGeometrySetForceLineSegmentsPerCircle&);
+  G4VisCommandGeometrySetForceLineSegmentsPerCircle& operator=
+  (const G4VisCommandGeometrySetForceLineSegmentsPerCircle&);
+  G4UIcommand* fpCommand;
+};
+
 class G4VisCommandGeometrySetForceWireframe:
   public G4VVisCommandGeometrySet {
Index: trunk/geant4/visualization/management/include/G4VisCommandsListManager.hh
===================================================================
--- trunk/geant4/visualization/management/include/G4VisCommandsListManager.hh	(revision 592)
+++ trunk/geant4/visualization/management/include/G4VisCommandsListManager.hh	(revision 593)
@@ -25,5 +25,5 @@
 //
 // $Id: G4VisCommandsListManager.hh,v 1.3 2006/06/29 21:28:38 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // Jane Tinslay, John Allison, Joseph Perl October 2005
Index: trunk/geant4/visualization/management/include/G4VisCommandsScene.hh
===================================================================
--- trunk/geant4/visualization/management/include/G4VisCommandsScene.hh	(revision 592)
+++ trunk/geant4/visualization/management/include/G4VisCommandsScene.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VisCommandsScene.hh,v 1.19 2006/11/14 14:59:54 allison Exp $
-// GEANT4 tag $Name: geant4-08-02-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 
 // /vis/scene commands - John Allison  9th August 1998
Index: trunk/geant4/visualization/management/include/G4VisCommandsSceneAdd.hh
===================================================================
--- trunk/geant4/visualization/management/include/G4VisCommandsSceneAdd.hh	(revision 592)
+++ trunk/geant4/visualization/management/include/G4VisCommandsSceneAdd.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VisCommandsSceneAdd.hh,v 1.17 2006/11/01 10:50:28 allison Exp $
-// GEANT4 tag $Name: geant4-08-02-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 
 // /vis/scene commands - John Allison  9th August 1998
Index: trunk/geant4/visualization/management/include/G4VisCommandsSceneHandler.hh
===================================================================
--- trunk/geant4/visualization/management/include/G4VisCommandsSceneHandler.hh	(revision 592)
+++ trunk/geant4/visualization/management/include/G4VisCommandsSceneHandler.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VisCommandsSceneHandler.hh,v 1.8 2006/06/29 21:28:44 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 
 // /vis/sceneHandler commands - John Allison  10th October 1998
Index: trunk/geant4/visualization/management/include/G4VisCommandsViewer.hh
===================================================================
--- trunk/geant4/visualization/management/include/G4VisCommandsViewer.hh	(revision 592)
+++ trunk/geant4/visualization/management/include/G4VisCommandsViewer.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VisCommandsViewer.hh,v 1.23 2006/09/13 13:17:29 allison Exp $
-// GEANT4 tag $Name: geant4-08-02-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 
 // /vis/viewer commands - John Allison  25th October 1998
Index: trunk/geant4/visualization/management/include/G4VisCommandsViewerSet.hh
===================================================================
--- trunk/geant4/visualization/management/include/G4VisCommandsViewerSet.hh	(revision 592)
+++ trunk/geant4/visualization/management/include/G4VisCommandsViewerSet.hh	(revision 593)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4VisCommandsViewerSet.hh,v 1.21 2006/09/19 16:03:14 allison Exp $
-// GEANT4 tag $Name: geant4-08-02-patch-01 $
+// $Id: G4VisCommandsViewerSet.hh,v 1.22 2007/04/03 13:33:16 allison Exp $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 
 // /vis/viewer/set commands - John Allison  16th May 2000
@@ -69,4 +69,5 @@
   G4UIcommand*          fpCommandLightsVector;
   G4ThreeVector         fLightsVector;
+  G4UIcmdWithABool*     fpCommandPicking;
   G4UIcommand*          fpCommandProjection;
   G4UIcommand*          fpCommandSectionPlane;
Index: trunk/geant4/visualization/management/include/G4VisExecutive.hh
===================================================================
--- trunk/geant4/visualization/management/include/G4VisExecutive.hh	(revision 592)
+++ trunk/geant4/visualization/management/include/G4VisExecutive.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VisExecutive.hh,v 1.6 2006/06/29 21:28:50 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
Index: trunk/geant4/visualization/management/include/G4VisExecutive.icc
===================================================================
--- trunk/geant4/visualization/management/include/G4VisExecutive.icc	(revision 592)
+++ trunk/geant4/visualization/management/include/G4VisExecutive.icc	(revision 593)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4VisExecutive.icc,v 1.14 2006/09/12 18:55:45 tinslay Exp $
-// GEANT4 tag $Name: geant4-08-02-patch-01 $
+// $Id: G4VisExecutive.icc,v 1.16 2007/10/03 14:20:23 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/geant4/visualization/management/include/G4VisFeaturesOfDAWNFILE.hh
===================================================================
--- trunk/geant4/visualization/management/include/G4VisFeaturesOfDAWNFILE.hh	(revision 592)
+++ trunk/geant4/visualization/management/include/G4VisFeaturesOfDAWNFILE.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VisFeaturesOfDAWNFILE.hh,v 1.5 2006/06/29 21:28:54 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 #ifndef G4VISFEATURESOFDAWNFILE_HH
Index: trunk/geant4/visualization/management/include/G4VisFeaturesOfFukuiRenderer.hh
===================================================================
--- trunk/geant4/visualization/management/include/G4VisFeaturesOfFukuiRenderer.hh	(revision 592)
+++ trunk/geant4/visualization/management/include/G4VisFeaturesOfFukuiRenderer.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VisFeaturesOfFukuiRenderer.hh,v 1.5 2006/06/29 21:28:56 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
Index: trunk/geant4/visualization/management/include/G4VisFeaturesOfOpenGL.hh
===================================================================
--- trunk/geant4/visualization/management/include/G4VisFeaturesOfOpenGL.hh	(revision 592)
+++ trunk/geant4/visualization/management/include/G4VisFeaturesOfOpenGL.hh	(revision 593)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4VisFeaturesOfOpenGL.hh,v 1.5 2006/06/29 21:28:58 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// $Id: G4VisFeaturesOfOpenGL.hh,v 1.6 2007/10/03 14:20:23 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/geant4/visualization/management/include/G4VisFeaturesOfOpenInventor.hh
===================================================================
--- trunk/geant4/visualization/management/include/G4VisFeaturesOfOpenInventor.hh	(revision 592)
+++ trunk/geant4/visualization/management/include/G4VisFeaturesOfOpenInventor.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VisFeaturesOfOpenInventor.hh,v 1.5 2006/06/29 21:29:00 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
Index: trunk/geant4/visualization/management/include/G4VisFilterManager.hh
===================================================================
--- trunk/geant4/visualization/management/include/G4VisFilterManager.hh	(revision 592)
+++ trunk/geant4/visualization/management/include/G4VisFilterManager.hh	(revision 593)
@@ -25,5 +25,5 @@
 //
 // $Id: G4VisFilterManager.hh,v 1.4 2006/06/29 21:29:02 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // Filter manager. Manages filter models, factories, messengers, 
Index: trunk/geant4/visualization/management/include/G4VisListManager.hh
===================================================================
--- trunk/geant4/visualization/management/include/G4VisListManager.hh	(revision 592)
+++ trunk/geant4/visualization/management/include/G4VisListManager.hh	(revision 593)
@@ -25,5 +25,5 @@
 //
 // $Id: G4VisListManager.hh,v 1.8 2006/06/29 21:29:04 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // Jane Tinslay, John Allison, Joseph Perl October 2005
